MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028973Open CASCADE[OCCT] OCCT:Application Frameworkpublic2017-08-07 07:432017-09-29 16:29
Reportervro 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028973: Undo/Redo changes the order of some attributes
DescriptionUndo and redo operations change the order of created and deleted attributes. It may cause a problem for order-dependent attributes like TPrsStd_AISPresentation and TDataXtd_Presentation.
Steps To ReproduceNewDocument D
UndoLimit D 100

NewCommand D
SetInteger D 0:1 123
SetReal D 0:1 123.321
NewCommand D
CheckLabel D 0:1
# Source Attribute dynamic type = TDataStd_Real
# Source Attribute dynamic type = TDataStd_Integer

Undo D
Redo D
CheckLabel D 0:1
# Source Attribute dynamic type = TDataStd_Integer
# Source Attribute dynamic type = TDataStd_Real
TagsNo tags attached.
Test case numbercaf basic B8
Attached Files

- Relationships
related to 0028908closedbugmaster Improvement on attachment of attributes to the label 
related to 0028946closedbugmaster Exception on Undo 

-  Notes
(0069130)
git (administrator)
2017-08-07 08:53

Branch CR28973 has been created by vro.

SHA-1: f9a0a45ae397ce00b726bc2674bb3b888c6b9191


Detailed log of new commits:

Author: vro
Date: Mon Aug 7 08:52:40 2017 +0300

    0028973: Undo/Redo changes the order of some attributes
(0069139)
vro (developer)
2017-08-07 12:04

http://jenkins-test-10.nnov.opencascade.com:8080/view/CR28973-master-VRO/view/COMPARE/ [^]
(0069140)
vro (developer)
2017-08-07 12:05

A new test case is added: "caf basic B8"
(0069145)
szy (developer)
2017-08-07 12:21

Reviewed.
(0069182)
bugmaster (administrator)
2017-08-07 19:25

Combination -
OCCT branch : CR28973 : SHA1 - f9a0a45ae397ce00b726bc2674bb3b888c6b9191
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 5 (5 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

Testing cases are OK:
http://occt-tests/CR28973-master-VRO-OCCT/Debian70-64/caf/basic/B8.html [^]
http://occt-tests/CR28973-master-VRO-OCCT/Windows-64-VC10/caf/basic/B8.html [^]
(0069649)
git (administrator)
2017-08-18 17:00

Branch CR28973 has been deleted by kgv.

SHA-1: f9a0a45ae397ce00b726bc2674bb3b888c6b9191

- Related Changesets
occt: master 095e90a2
Timestamp: 2017-08-07 05:52:40
Author: vro
Committer: bugmaster
Details ] Diff ]
0028973: Undo/Redo changes the order of some attributes
mod - src/TDF/TDF_DefaultDeltaOnRemoval.cxx Diff ] File ]
add - tests/caf/basic/B8 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-07 07:43 vro New Issue
2017-08-07 07:43 vro Assigned To => vro
2017-08-07 08:43 vro Relationship added related to 0028908
2017-08-07 08:43 vro Relationship added related to 0028946
2017-08-07 08:53 git Note Added: 0069130
2017-08-07 12:04 vro Note Added: 0069139
2017-08-07 12:05 vro Note Added: 0069140
2017-08-07 12:05 vro Assigned To vro => mpv
2017-08-07 12:05 vro Status new => resolved
2017-08-07 12:07 vro Assigned To mpv => szy
2017-08-07 12:07 vro Status resolved => assigned
2017-08-07 12:21 vro Status assigned => resolved
2017-08-07 12:21 szy Note Added: 0069145
2017-08-07 12:21 szy Assigned To szy => bugmaster
2017-08-07 12:21 szy Status resolved => reviewed
2017-08-07 19:22 bugmaster Test case number => caf basic B8
2017-08-07 19:25 bugmaster Note Added: 0069182
2017-08-07 19:25 bugmaster Status reviewed => tested
2017-08-11 07:52 bugmaster Changeset attached => occt master 095e90a2
2017-08-11 07:52 bugmaster Status tested => verified
2017-08-11 07:52 bugmaster Resolution open => fixed
2017-08-18 17:00 git Note Added: 0069649
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker